Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileTypeImpl Class Reference
[Parsers]

Inheritance diagram for FileTypeImpl:

## Detailed Description

File Type storage implementation.

Contains different attributes of HRC file type.

## Public Methods
const String * | getName ()
const String * | getGroup ()
const String * | getDescription ()
Scheme * | getBaseScheme ()
const String * | getParameter (const String &name)
double | getPriority (const String *fileName, const String *fileContent) const
| Returns total priority, accordingly to all it's choosers (filename and firstline choosers).
## Protected Methods
| FileTypeImpl (HRCParserImpl *hrcParser)
## Protected Attributes
bool | protoLoaded
| is prototype component loaded
bool | typeLoaded
| is type component loaded
bool | loadDone
| is type references fully resolved
bool | loadBroken
| is initial type load failed
String * | name
String * | group
String * | description
bool | isPackage
HRCParserImpl * | hrcParser
SchemeImpl * | baseScheme
SchemeAccessType | accessType
Vector< FileTypeChooser * > | chooserVector
Hashtable< String * > | parametersHash
Vector< String * > | importVector
InputSource * | inputSource

## Member Function Documentation

double FileTypeImpl::getPriority | ( | const String * | fileName,
|  | const String * | fileContent
| ) | const`[inline]`

  | Returns total priority, accordingly to all it's choosers (filename and firstline choosers). All `fileContent` RE's are tested only if priority of previously computed `fileName` RE's is more, than zero. Parameters:
  fileName | String representation of file name (without path). If null, method skips filename matching, and starts directly with fileContent matching.
  fileContent | Some part of file's starting content (first line, for example). If null, skipped.
Returns: Computed total filetype priority.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.